## org.plovr.docgen
Class TypeExpression

    java.lang.Object
      org.plovr.docgen.TypeExpression

    public class TypeExpression

extends Object

Nested Class Summary
`static class` `TypeExpression.Builder`

Method Summary
`static TypeExpression.Builder` `builder()`
`String` `getDisplayName()` The "plain name" of this type, so even though a supertype may reference a type expression which describes a non-null type (such as "!goog.Disposable"), it is often useful to get the type without the nullability modifier, so if this type expression represented "!goog.Disposable", this method would return "goog.Disposable".
`String` `getParamName()` A "param name" is how this type should be displayed as a parameter, which may include modifiers such as "?" or "=" to describe nullability or optionality, respectively.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### builder

    public static TypeExpression.Builder builder()

### getDisplayName

    public String getDisplayName()

  The "plain name" of this type, so even though a supertype may reference a type expression which describes a non-null type (such as "!goog.Disposable"), it is often useful to get the type without the nullability modifier, so if this type expression represented "!goog.Disposable", this method would return "goog.Disposable".

### getParamName

    public String getParamName()

  A "param name" is how this type should be displayed as a parameter, which may include modifiers such as "?" or "=" to describe nullability or optionality, respectively.